//
//  Cell_FinishOrderSelectPartBottom.swift
//  VattiCSS
//
//  Created by Jan on 2023/9/11.
//

import UIKit

class Cell_FinishOrderSelectPartBottom: UITableViewCell {

    @IBOutlet weak var bgView: UIView!
    @IBOutlet weak var leftView: UIView!
    @IBOutlet weak var rightView: UIView!
 
    @IBOutlet weak var lab_qty1: UILabel!
    @IBOutlet weak var lab_qty2: UILabel!
    var callBack: TCRowCallBack?
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code  login_bg
        
//        let image = UIImage(named: "finish_part_bg")
//        self.leftView.layer.contents = image?.cgImage
//        self.rightView.layer.contents = image?.cgImage
        
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}



extension Cell_FinishOrderSelectPartBottom: TCCell_RowCellUpdateProtocol {

    typealias DataSource = (String,String)
    typealias ConfigModel = TCFormCellConfigModel
    
    func row_update(config data: TCFormCellConfigModel) {
      
    }
    
    func row_update(dataSource data: (String,String)) {
        lab_qty1.text = data.0
        lab_qty2.text = data.1
    }
    
    func row_update(callBack block: TCRowCallBack?) {
        callBack = block
    }
    
}
